summaryrefslogtreecommitdiffstats
path: root/Configure
diff options
context:
space:
mode:
authorRich Salz <rsalz@openssl.org>2016-01-25 09:44:08 -0500
committerRich Salz <rsalz@openssl.org>2016-01-25 09:44:08 -0500
commitdc193c9c5e914c74fd0f51fe4fe86fbd5910536e (patch)
tree1a9a603235a1aa4f3854a9ad551d8c097832a39c /Configure
parent2dc4be513b1ab59cce3f578488a870124dcff1b8 (diff)
Move & split opensslconf.h.in
Move opensslconf.h.in to include/openssl. Split off DES,BN,RC4 stuff into separate header file templates in crypto/include/internal/*_conf.h.in Reviewed-by: Richard Levitte <levitte@openssl.org>
Diffstat (limited to 'Configure')
-rwxr-xr-xConfigure20
1 files changed, 17 insertions, 3 deletions
diff --git a/Configure b/Configure
index 5e973c69a3..276a1438b8 100755
--- a/Configure
+++ b/Configure
@@ -1413,10 +1413,24 @@ print "RANLIB =$target{ranlib}\n";
print "ARFLAGS =$target{arflags}\n";
print "PERL =$config{perl}\n";
-system("$config{perl} -I. -Mconfigdata util/dofile.pl < crypto/opensslconf.h.in > include/openssl/opensslconf.h.new");
-exit 1 if $? != 0;
-rename("include/openssl/opensslconf.h.new","include/openssl/opensslconf.h") || die "unable to rename include/openssl/opensslconf.h.new\n";
+sub
+run_dofile()
+{
+ my $in = shift;
+ my $out = shift;
+
+ # should we remove $out ?
+ system("$config{perl} -I. -Mconfigdata util/dofile.pl <$in >$out.new");
+ exit 1 if $? != 0;
+ rename("$out.new", $out) || die "Can't rename $out.new, $!";
+}
+&run_dofile("include/openssl/opensslconf.h.in", "include/openssl/opensslconf.h");
+
+foreach my $alg ( 'bf', 'bn', 'des', 'rc4' ) {
+ &run_dofile("crypto/include/internal/${alg}_conf.h.in",
+ "crypto/include/internal/${alg}_conf.h");
+}
# Fix the date